查询积分使用记录
接口信息
- 方法:POST
- 路径:
- 鉴权:请求头传
Api-Key
接口作用
分页查询指定时间范围内的积分使用记录。
请求示例
curl --request POST \ --url https://open.docmee.cn/api/record/listPage \ --header "Content-Type: application/json" \ --header "Api-Key: YOUR_API_KEY" \ --data '{ "page": 1, "size": 100, "type": 1, "uid": "user_xxx", "startDate": "2025-01-01 00:00:00", "endDate": "2025-01-30 23:59:59" }'
请求参数
{ "page": 1, "size": 100, "type": 1, "uid": "user_xxx", "startDate": "2025-01-01 00:00:00", "endDate": "2025-01-30 23:59:59" }
请求字段说明
| 参数名 | 类型 | 必填 | 示例 | 说明 |
|---|---|---|---|---|
page | number | 否 | 1 | 分页查询参数。 |
size | number | 否 | 100 | 分页查询参数。 |
type | number | 否 | 1 | 业务类型或分类值。 |
uid | string | 否 | user_xxx | 第三方用户标识,用于隔离数据。 |
startDate | string | 否 | 2025-01-01 00:00:00 | 时间范围字段。 |
endDate | string | 否 | 2025-01-30 23:59:59 | 时间范围字段。 |
关键字段
type=1:PPT 生成type=2:模板上传
响应内容
每条记录通常包含 id、type、amount、uid、createTime。
响应示例
{ "code": 0, "message": "操作成功", "data": { "id": "id_xxx", "type": "VALUE", "amount": "VALUE", "uid": "uid_xxx", "createTime": "VALUE" } }
响应字段说明
| 字段名 | 类型 | 示例 | 说明 |
|---|---|---|---|
code | number | 0 | 通用响应状态码,0 表示成功。 |
message | string | 操作成功 | 服务端返回的结果说明。 |
id | string | id_xxx | 对象唯一标识。 |
type | number | VALUE | 字段用途请结合接口场景传入。 |
amount | number | VALUE | 积分消耗数量。 |
uid | string | uid_xxx | 字段用途请结合接口场景传入。 |
createTime | string | VALUE | 字段用途请结合接口场景传入。 |
Last updated on